/// Provide relevantly Typed `Gradient`s for smooth tweens
/// when "unwrapping" a `Foil`.
///
/// These empty gradients are `lerp`ed with the specified `Foil.gradient`.
library foil;

import 'package:flutter/material.dart';

import 'steps.dart';

/// An empty, transparent [LinearGradient].
const nillLG = LinearGradient(
  colors: [Colors.transparent, Colors.transparent],
  begin: FractionalOffset.topLeft,
  end: FractionalOffset.bottomLeft,
);

/// An empty, transparent [RadialGradient].
const nillRG = RadialGradient(
  colors: [Colors.transparent, Colors.transparent],
  center: FractionalOffset.center,
  radius: 0,
);

/// An empty, transparent [SweepGradient].
const nillSG = SweepGradient(
  colors: [Colors.transparent, Colors.transparent],
  center: FractionalOffset.center,
);

/// An empty, transparent [LinearSteps].
const nillLS = LinearSteps(
  colors: [Colors.transparent, Colors.transparent],
  begin: FractionalOffset.topLeft,
  end: FractionalOffset.bottomLeft,
);

/// An empty, transparent [RadialSteps].
const nillRS = RadialSteps(
  colors: [Colors.transparent, Colors.transparent],
  center: FractionalOffset.center,
  radius: 0,
);

/// An empty, transparent [SweepSteps].
const nillSS = SweepSteps(
  colors: [Colors.transparent, Colors.transparent],
  center: FractionalOffset.center,
);
